﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
#IgnoreWarnings:12, 9
Sub Process_Globals
	'this is the name of the page
	Public name As String = "home"
	'what is the title of the page
	Public title As String = "Home"
	'what is the icon of the page
	Public icon As String = "fa-solid fa-house"
	'this variable holds the page controller
	Public page As SDUIPage
	'this variable holds reference to the app
	'usually for constants and other things
	Public app As SDUIApp
	'the variable referencing banano lib
	Private banano As BANano		'ignore
	
	Private mdlHolidayEdit As SDUIModal	'ignore
	Private SDUITableHolidayEdit As SDUITable
	Private Ausgewaehlter_MitarbeiterID As Int
End Sub

'** DO NOT DELETE
'sub to show the page
Sub Show(duiapp As SDUIApp)			'ignore
	'get the reference to the app
	app = duiapp
	'build the page, via code or loadlayouts
	BuildPage
End Sub

'** DO NOT DELETE
'sub to get the name of the page
Sub getName As String
	Return name
End Sub

'** DO NOT DELETE
'sub to get the icon of the page
Sub getIcon As String
	Return icon
End Sub

'** DO NOT DELETE
'sub to get the title of the page
Sub getTitle As String
	Return title
End Sub

'** DO NOT DELETE
'start building the page, here you load layouts / code your app
private Sub BuildPage
	'load the page layout
	banano.LoadLayout(app.PageViewer, "homelayout")
	'start adding you components here
	banano.Await(app.UsesFlatPickDateTime)
	banano.Await(app.UsesRollDate)
	
	
	setup_ShowHolidayEdit("")
End Sub


private Sub setup_ShowHolidayEdit(m As String)
	mdlHolidayEdit = page.root.AddModal("mdlHolidayEdit", "Urlaubs-/Krankheitsplaner", "", "", "Schliessen", "1000px")
	
	mdlHolidayEdit.MaxWidth = "1200px"
	mdlHolidayEdit.CloseAble=False
	''
	banano.LoadLayout(mdlHolidayEdit.formHere, "frmHoliday")
	SDUITableHolidayEdit.AddColumn("id", "#")
	SDUITableHolidayEdit.SetColumnVisible("id", False)
	SDUITableHolidayEdit.AddColumnDatePicker("mystartdatum","Von", False, "Y-m-d", "d-m-Y", False, False, False)',"de")
	SDUITableHolidayEdit.AddColumnDatePicker1("myenddatum","Bis", False, "Y-m-d", "d-m-Y", False, False, False,"de")
	SDUITableHolidayEdit.AddColumnRadioGroup("urlaubkrankcheck", "Urlaub/Krank", False, app.COLOR_PRIMARY, CreateMap("urlaub":"Urlaub","krank":"Krank"))
	'SDUITableHolidayEdit.AddColumnButton("Save","Speichern",app.COLOR_ROSE)
	'SDUITableHolidayEdit.AddColumnButton("Delete","Löschen",app.COLOR_RED)

'	SDUITableHolidayEdit.AddColumnDelete(app.COLOR_SECONDARY)
	SDUITableHolidayEdit.AddColumnAction("save", "Speichern", "fa-solid fa-save", app.COLOR_GREEN)
	SDUITableHolidayEdit.AddColumnAction("delete", "Löschen", "fa-solid fa-trash", app.COLOR_RED)
	'SDUITableHolidayEdit.addfl
	Dim items As List
	items.Initialize
	items.Add(CreateMap("id": "1", "urlaubkrankcheck":"urlaub", "mystartdatum":"","myenddatum":""))
	banano.await(SDUITableHolidayEdit.SetItemsPaginate(items))
End Sub
  
 
Sub Show_ShowHolidayEdit (MitarbeiterID As Int) '(id As String, Temp_Titel As String,Temp_startStr As String,Temp_endStr As String,Temp_kundeid As Int,Temp_notes As String, Temp_mitarbeiterid As Int, Temp_color As String,Temmp_Firmaid As Int)
	Ausgewaehlter_MitarbeiterID=MitarbeiterID
	pgIndex.appdrawer.Hide
	pgIndex.appdrawer.Menu.hide
	mdlHolidayEdit.Show
'	End If
End Sub



Private Sub SDUIButton1_Click (e As BANanoEvent)
	Show_ShowHolidayEdit(1)
End Sub

Private Sub mdlHolidayEdit_Cancel_Click ( e As BANanoEvent)
	e.PreventDefault
	Log("gescchlossem")
	pgIndex.appdrawer.Show
	pgIndex.appdrawer.menu.show
	Ausgewaehlter_MitarbeiterID=-1
	mdlHolidayEdit.Hide
End Sub

Private Sub SDUITableHolidayEdit_ChangeRow (Row As Int, Value As Object, Column As String, item As Map)
	Log("tb4_ChangeRow...")
	Log(Row)
	Log(Value)
	Log(Column)
	Log(item)
	
	item.Put("mystartdatum", "1999-04-20")
	item.Put("myenddatum", "1999-05-20")
	'SDUITableHolidayEdit.SetRowColumnItems("enddatum",Row,item)
	SDUITableHolidayEdit.SetRow(Row, item)
	'banano.Await(SDUITableHolidayEdit.UpdateRow(Row,item))
'	SDUITableHolidayEdit.SetRowColumn("enddatum", Row,"1999-04-20")
	'SDUITableHolidayEdit.ClearToolbarActions
	'	SDUITableHolidayEdit.setr
	'End If
	'Log(SDUITableHolidayEdit.GetRowColumn("mystartdatum",Row))
	'SDUITableHolidayEdit.SetRowColumn("mystartdatum",Row,"10-09-2024")
	'Log(SDUITableHolidayEdit.GetRowColumn("mystartdatum",Row))
	
	
End Sub